Skip to content

Cloud Connect AWS

deprecated

The Cloud Connect AWS service collection has been superseded by the CSPM Registration service collection and is now deprecated. Developers should move code over to use the new operations available within the updated collection.

This service collection is deprecated.

LanguageLast Update
Pythonv1.3.2
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
QueryAWSAccounts
query_aws_accounts
Search for provisioned AWS Accounts by providing a FQL filter and paging details. Returns a set of AWS accounts which match the filter criteria
deprecated
GetAWSSettings
get_aws_settings
Retrieve a set of Global Settings which are applicable to all provisioned AWS accounts
deprecated
GetAWSAccounts
get_aws_accounts
Retrieve a set of AWS Accounts by specifying their IDs
deprecated
ProvisionAWSAccounts
provision_aws_accounts
Provision AWS Accounts by specifying details about the accounts to provision
deprecated
DeleteAWSAccounts
delete_aws_accounts
Delete a set of AWS Accounts by specifying their IDs
deprecated
UpdateAWSAccounts
update_aws_accounts
Update AWS Accounts by specifying the ID of the account and details to update
deprecated
CreateOrUpdateAWSSettings
create_or_update_aws_settings
Create or update Global Settings which are applicable to all provisioned AWS accounts
deprecated
VerifyAWSAccountAccess
verify_aws_account_access
Performs an Access Verification check on the specified AWS Account IDs
deprecated
QueryAWSAccountsForIDs
query_aws_accounts_for_ids
Search for provisioned AWS Accounts by providing a FQL filter and paging details. Returns a set of AWS account IDs which match the filter criteria

Search for provisioned AWS Accounts by providing a FQL filter and paging details. Returns a set of AWS accounts which match the filter criteria

This operation has been superseded by the GetCSPMAwsAccount operation and is now deprecated. Developers should move code over to this new operation as soon as time permits.

GET /cloud-connect-aws/combined/accounts/v1
Scope Consumes · Produces application/json
PEP 8 query_aws_accounts
NameTypeData typeDescription
limitqueryintegerThe maximum records to return. [1-5000]. Defaults to 100.
offsetqueryintegerThe offset to start retrieving records from.
sortquerystringThe property to sort by (e.g. alias.desc or state.asc).
filterquerystringThe filter expression that should be used to limit the results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_aws_accounts(filter="string",
limit="string",
offset=integer,
sort="string")
print(response)

Retrieve a set of Global Settings which are applicable to all provisioned AWS accounts

This operation has been deprecated and will be removed from the SDK when this endpoint is decommissioned.

GET /cloud-connect-aws/combined/settings/v1
Scope Consumes · Produces application/json
PEP 8 get_aws_settings

No keywords or arguments accepted.

from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_aws_settings()
print(response)

Retrieve a set of AWS Accounts by specifying their IDs

This operation has been superseded by the GetCSPMAwsAccount operation and is now deprecated. Developers should move code over to this new operation as soon as time permits.

GET /cloud-connect-aws/entities/accounts/v1
Scope Consumes · Produces application/json
PEP 8 get_aws_accounts
NameTypeData typeDescription
idsquerystring or list of stringsIDs of accounts to retrieve details.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_aws_accounts(ids=id_list)
print(response)

Provision AWS Accounts by specifying details about the accounts to provision

This operation has been superseded by the CreateCSPMAwsAccount operation and is now deprecated. Developers should move code over to this new operation as soon as time permits.

POST /cloud-connect-aws/entities/accounts/v1
Scope Consumes · Produces application/json
PEP 8 provision_aws_accounts
NameTypeData typeDescription
bodybodydictionaryFull BODY payload in JSON format.
cloudtrail_bucket_owner_idbodystringAWS IAM IAD for Cloudtrail bucket owner. (ARN format)
cloudtrail_bucket_regionbodystringAWS region for Cloudtrail bucket.
external_idbodystringShared external ID to use for AWS cross-account role.
iam_role_arnbodystringARN for the IAM role to use as the cross-account role.
idbodystringAWS account ID to provision.
modequerystringMode for provisioning. Allowed values are manual or cloudformation. Defaults to manual if not defined.
parametersquerydictionaryFull query string parameters payload in JSON format.
rate_limit_reqbodyintegerRate limit count.
rate_limit_timebodyintegerRate limit timestamp.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.provision_aws_accounts(cloudtrail_bucket_owner_id="string",
cloudtrail_bucket_region="string",
external_id="string",
iam_role_arn="string",
id="string",
mode="string",
rate_limit_reqs=integer,
rate_limit_time=integer)
print(response)

Delete a set of AWS Accounts by specifying their IDs

This operation has been superseded by the DeleteCSPMAwsAccount operation and is now deprecated. Developers should move code over to this new operation as soon as time permits.

DELETE /cloud-connect-aws/entities/accounts/v1
Scope Consumes · Produces application/json
PEP 8 delete_aws_accounts
NameTypeData typeDescription
idsquerystring or list of stringsIDs of accounts to remove
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_aws_accounts(ids=id_list)
print(response)

Update AWS Accounts by specifying the ID of the account and details to update

This operation has been superseded by the PatchCSPMAwsAccount operation and is now deprecated. Developers should move code over to this new operation as soon as time permits.

PATCH /cloud-connect-aws/entities/accounts/v1
Scope Consumes · Produces application/json
PEP 8 update_aws_accounts
NameTypeData typeDescription
bodybodydictionaryFull BODY payload in JSON format.
cloudtrail_bucket_owner_idbodystringAWS IAM IAD for Cloudtrail bucket owner. (ARN format)
cloudtrail_bucket_regionbodystringAWS region for Cloudtrail bucket.
external_idbodystringShared external ID to use for AWS cross-account role.
iam_role_arnbodystringARN for the IAM role to use as the cross-account role.
idbodystringAWS account ID to provision.
rate_limit_reqbodyintegerRate limit count.
rate_limit_timebodyintegerRate limit timestamp.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_aws_accounts(cloudtrail_bucket_owner_id="string",
cloudtrail_bucket_region="string",
external_id="string",
iam_role_arn="string",
id="string",
rate_limit_reqs=integer,
rate_limit_time=integer)
print(response)

Create or update Global Settings which are applicable to all provisioned AWS accounts

This operation has been deprecated and will be removed from the SDK when this endpoint is decommissioned.

POST /cloud-connect-aws/entities/settings/v1
Scope Consumes · Produces application/json
PEP 8 create_or_update_aws_settings
NameTypeData typeDescription
bodybodydictionaryFull BODY payload in JSON format.
cloudtrail_bucket_owner_idbodystringAWS IAM IAD for Cloudtrail bucket owner. (ARN format)
static_external_idbodystringNew external ID to use for the AWS cross-account role.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_or_update_aws_settings(cloudtrail_bucket_owner_id="string",
static_external_id="string")
print(response)

Performs an Access Verification check on the specified AWS Account IDs

This operation has been deprecated and will be removed from the SDK when this endpoint is decommissioned.

POST /cloud-connect-aws/entities/verify-account-access/v1
Scope Consumes · Produces application/json
PEP 8 verify_aws_account_access
NameTypeData typeDescription
idsquerystring or list of stringsIDs of accounts to verify access on.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.verify_aws_account_access(ids=id_list)
print(response)

Search for provisioned AWS Accounts by providing a FQL filter and paging details. Returns a set of AWS account IDs which match the filter criteria

GET /cloud-connect-aws/queries/accounts/v1
Scope Consumes · Produces application/json
PEP 8 query_aws_accounts_for_ids
NameTypeData typeDescription
limitqueryintegerThe maximum records to return. [1-5000]. Defaults to 100.
offsetqueryintegerThe offset to start retrieving records from.
sortquerystringThe property to sort by (e.g. alias.desc or state.asc).
filterquerystringThe filter expression that should be used to limit the results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import CloudConnectAWS
falcon = CloudConnectAWS(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_aws_accounts_for_ids(filter="string",
limit="string",
offset=integer,
sort="string")
print(response)
Cloud Connect AWS samples